### Method

# FwupdPlugin HidDevice set_ep_addr_in

since: 1.9.4

#### Declaration [src]

    void
    fu_hid_device_set_ep_addr_in (
      FuHidDevice* self,
      guint8 ep_addr_in
    )

#### Description [src]

Sets the HID USB interrupt in endpoint.

In most cases the HID ep_addr_in is auto-detected, but this function can be used where there are multiple HID EPss or where the device USB EP is invalid.

Available since: 1.9.4

#### Parameters

`ep_addr_in`

  Type: `guint8`

  An endpoint, e.g. `0x03`.